#  python-holidays
#  ---------------
#  A fast, efficient Python library for generating country, province and state
#  specific sets of holidays on the fly. It aims to make determining whether a
#  specific date is a holiday as fast and flexible as possible.
#
#  Authors: dr-prodigy <maurizio.montel@gmail.com> (c) 2017-2022
#           ryanss <ryanssdev@icloud.com> (c) 2014-2017
#  Website: https://github.com/dr-prodigy/python-holidays
#  License: MIT (see LICENSE file)

from .angola import AGO, AO, Angola
from .argentina import AR, ARG, Argentina
from .aruba import ABW, AW, Aruba
from .australia import AU, AUS, Australia
from .austria import AT, AUT, Austria
from .azerbaijan import AZ, AZE, Azerbaijan
from .bangladesh import BD, BGD, Bangladesh
from .belarus import BLR, BY, Belarus
from .belgium import BE, BEL, Belgium
from .bolivia import BO, BOL, Bolivia
from .bosnia_and_herzegovina import BA, BIH, BosniaAndHerzegovina
from .botswana import BW, BWA, Botswana
from .brazil import BR, BRA, Brazil
from .bulgaria import BG, BLG, Bulgaria
from .burundi import BDI, BI, Burundi
from .canada import CA, CAN, Canada
from .chile import CHL, CL, Chile
from .china import CHN, CN, China
from .colombia import CO, COL, Colombia
from .croatia import HR, HRV, Croatia
from .cuba import CU, CUB, Cuba
from .curacao import CUW, CW, Curacao
from .cyprus import CY, CYP, Cyprus
from .czechia import CZ, CZE, Czechia
from .denmark import DK, DNK, Denmark
from .djibouti import DJ, DJI, Djibouti
from .dominican_republic import DO, DOM, DominicanRepublic
from .egypt import EG, EGY, Egypt
from .estonia import EE, EST, Estonia
from .eswatini import SZ, SZW, Eswatini, Swaziland
from .ethiopia import ET, ETH, Ethiopia
from .finland import FI, FIN, Finland
from .france import FR, FRA, France
from .georgia import GE, GEO, Georgia
from .germany import DE, DEU, Germany
from .greece import GR, GRC, Greece
from .honduras import HN, HND, Honduras
from .hongkong import HK, HKG, HongKong
from .hungary import HU, HUN, Hungary
from .iceland import IS, ISL, Iceland
from .india import IN, IND, India
from .ireland import IE, IRL, Ireland
from .isle_of_man import IM, IMN, IsleOfMan
from .israel import IL, ISR, Israel
from .italy import IT, ITA, Italy
from .jamaica import JAM, JM, Jamaica
from .japan import JP, JPN, Japan
from .kazakhstan import KAZ, KZ, Kazakhstan
from .kenya import KE, KEN, Kenya
from .korea import KOR, KR, Korea
from .latvia import LV, LVA, Latvia
from .lesotho import LS, LSO, Lesotho
from .liechtenstein import LI, LIE, Liechtenstein
from .lithuania import LT, LTU, Lithuania
from .luxembourg import LU, LUX, Luxembourg
from .madagascar import MDG, MG, Madagascar
from .malawi import MW, MWI, Malawi
from .malaysia import MY, MYS, Malaysia
from .malta import MLT, MT, Malta
from .mexico import MEX, MX, Mexico
from .moldova import MD, Moldova
from .morocco import MA, MOR, Morocco
from .mozambique import MOZ, MZ, Mozambique
from .namibia import NA, NAM, Namibia
from .netherlands import NL, NLD, Netherlands
from .new_zealand import NZ, NZL, NewZealand
from .nicaragua import NI, NIC, Nicaragua
from .nigeria import NG, NGA, Nigeria
from .north_macedonia import MK, MKD, NorthMacedonia
from .norway import NO, NOR, Norway
from .paraguay import PRY, PY, Paraguay
from .peru import PE, PER, Peru
from .poland import PL, POL, Poland
from .portugal import PRT, PT, Portugal
from .romania import RO, ROU, Romania
from .russia import RU, RUS, Russia
from .saudi_arabia import SA, SAU, SaudiArabia
from .serbia import RS, SRB, Serbia
from .singapore import SG, SGP, Singapore
from .slovakia import SK, SVK, Slovakia
from .slovenia import SI, SVN, Slovenia
from .south_africa import ZA, ZAF, SouthAfrica
from .spain import ES, ESP, Spain
from .sweden import SE, SWE, Sweden
from .switzerland import CH, CHE, Switzerland
from .taiwan import TW, TWN, Taiwan
from .tunisia import TN, TUN, Tunisia
from .turkey import TR, TUR, Turkey
from .ukraine import UA, UKR, Ukraine
from .united_arab_emirates import AE, ARE, UnitedArabEmirates
from .united_kingdom import GB, GBR, UK, UnitedKingdom
from .united_states import US, USA, UnitedStates
from .uruguay import URY, UY, Uruguay
from .uzbekistan import UZ, UZB, Uzbekistan
from .venezuela import VE, VEN, Venezuela
from .vietnam import VN, VNM, Vietnam
from .zambia import ZM, ZMB, Zambia
from .zimbabwe import ZW, ZWE, Zimbabwe
